> For the complete documentation index, see [llms.txt](https://docs.iyzico.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iyzico.com/urunler/pazaryeri/pazaryeri-entegrasyonu/onay.md).

# Onay

Pazaryeri çözümünde, ödeme iyzico’dan geçtikten sonra, üye işyeri ödeme içinde yer alan kırılıma / ürüne onay verene dek para korumalı havuz hesapta bekletilir. Üye işyeri bu sürede ödemeyi iptal edebilir, ödemenin kırılımını iade edebilir ya da ürün alıcıya ulaştı ve işlem sorunsuz tamamlandıysa para transferi için ürüne onay verebilir veya verdiği ürün onayını geri çekebilir.

Pazaryeri çözümlerinde bir ödemenin alt kırılımına iki çeşit onay seçeneği uygulanabilir.

1. [Onay Verme](#post-payment-iyzipos-item-approve)
2. [Onay Kaldırma](#post-payment-iyzipos-item-disapprove)

{% hint style="info" %}
Ürünlere onay verme iyzico tarafından yapılamamaktadır. Kontrol panelinde bu şekilde bir fonksiyon olmadığından **kod seviyesinde** bu onaylar gönderilmelidir.
{% endhint %}

## Onay Verme

> Ürüne onay vermek için ödeme kırılımına ait id (paymentTransactionId) iletilmesi gerekmektedir. Onay verilen ödeme kırılımı id’si (paymentTransactionId), ödeme servisinden dönmektedir.

```json
{"openapi":"3.0.3","info":{"title":"Marketplace - Alt Üye Oluşturma & Güncelleme","version":"1.3.3"},"servers":[{"url":"https://api.iyzipay.com","description":"iyzico API"}],"paths":{"/payment/iyzipos/item/approve":{"post":{"summary":"Onay Verme","description":"Ürüne onay vermek için ödeme kırılımına ait id (paymentTransactionId) iletilmesi gerekmektedir. Onay verilen ödeme kırılımı id’si (paymentTransactionId), ödeme servisinden dönmektedir.","tags":["Pazaryeri"],"parameters":[{"$ref":"#/components/parameters/AuthHeader"},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemApproveRequest"}}}},"responses":{"200":{"description":"Başarılı yanıt","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemActionResponse"}}}},"400":{"description":"Başarısız yanıt","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"AuthHeader":{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"İmza içeren Authorization değeri."},"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"},"description":"İstek gövdesi formatı."}},"schemas":{"ItemApproveRequest":{"type":"object","required":["paymentTransactionId"],"properties":{"locale":{"type":"string","enum":["tr","en"]},"conversationId":{"type":"string"},"paymentTransactionId":{"type":"string","description":"Onaylanmak istenen ödeme kırılımına ait id."}}},"ItemActionResponse":{"type":"object","properties":{"status":{"type":"string","enum":["success","failure"]},"locale":{"type":"string","enum":["tr","en"]},"systemTime":{"type":"integer"},"conversationId":{"type":"string"},"paymentTransactionId":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["failure"]},"errorCode":{"type":"string"},"errorMessage":{"type":"string"},"locale":{"type":"string","enum":["tr","en"]},"systemTime":{"type":"integer"},"conversationId":{"type":"string"}}}}}}
```

#### Örnek Kodlar

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a href="https://github.com/iyzico/iyzipay-php/blob/master/samples/approve.php">PHP</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-java/blob/master/src/test/java/com/iyzipay/sample/ApproveSample.java">Java</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-dotnet/blob/master/Iyzipay.Samples/ApproveSample.cs">.NET</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-node/blob/master/samples/IyzipaySamples.js#L38">Node.Js</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-python/blob/master/samples/approve.py">Python</a></td></tr></tbody></table>

## Onay Kaldırma

> Ürüne verilen onayı geri çekmek için ödeme kırılımına ait id (paymentTransactionId) iletilmesi gerekmektedir. Onayı geri çekilen ödeme kırılımı id’si (paymentTransactionId) servisten döner.

```json
{"openapi":"3.0.3","info":{"title":"Marketplace - Alt Üye Oluşturma & Güncelleme","version":"1.3.3"},"servers":[{"url":"https://api.iyzipay.com","description":"iyzico API"}],"paths":{"/payment/iyzipos/item/disapprove":{"post":{"summary":"Onay Kaldırma","description":"Ürüne verilen onayı geri çekmek için ödeme kırılımına ait id (paymentTransactionId) iletilmesi gerekmektedir. Onayı geri çekilen ödeme kırılımı id’si (paymentTransactionId) servisten döner.","tags":["Pazaryeri"],"parameters":[{"$ref":"#/components/parameters/AuthHeader"},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemDisapproveRequest"}}}},"responses":{"200":{"description":"Başarılı yanıt","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemActionResponse"}}}},"400":{"description":"Başarısız yanıt","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"AuthHeader":{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"İmza içeren Authorization değeri."},"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"},"description":"İstek gövdesi formatı."}},"schemas":{"ItemDisapproveRequest":{"type":"object","required":["paymentTransactionId"],"properties":{"locale":{"type":"string","enum":["tr","en"]},"conversationId":{"type":"string"},"paymentTransactionId":{"type":"string","description":"İlgili ödeme kırılımına ait id değeri."}}},"ItemActionResponse":{"type":"object","properties":{"status":{"type":"string","enum":["success","failure"]},"locale":{"type":"string","enum":["tr","en"]},"systemTime":{"type":"integer"},"conversationId":{"type":"string"},"paymentTransactionId":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["failure"]},"errorCode":{"type":"string"},"errorMessage":{"type":"string"},"locale":{"type":"string","enum":["tr","en"]},"systemTime":{"type":"integer"},"conversationId":{"type":"string"}}}}}}
```

#### Örnek Kodlar

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a href="https://github.com/iyzico/iyzipay-php/blob/master/samples/disapprove.php">PHP</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-java/blob/master/src/test/java/com/iyzipay/sample/DisapproveSample.java">Java</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-dotnet/blob/master/Iyzipay.Samples/DisapproveSample.cs">.NET</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-node/blob/master/samples/IyzipaySamples.js#L52">Node.Js</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-python/blob/master/samples/disapprove.py">Python</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.iyzico.com/urunler/pazaryeri/pazaryeri-entegrasyonu/onay.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
